#include <iostream>
#include <fstream>
#include <vector>
using namespace std;

void print_vec(const vector <int> &);
void bubble_sort(vector <int> &);

int main()
{
	vector <int> vec;
	vector <int> vec2;
	// define and open the file as part of initializing:
	ifstream in_file("list.txt",ios::in);
	int num;
	
	if (!in_file.is_open())
		return(1);
	while (in_file >>num) {
		vec.push_back(num);
	}

	cout << "Unsorted list: " << endl;
	print_vec(vec);
	bubble_sort(vec);
	cout << "Sorted list: " << endl;
	print_vec(vec);

	// This has nothing to do with bubble sort, but look
	// how you can copy vectors with an assignment statement:
	vec2=vec;
	cout << "Contents of vec2 after a copy by assignment:" << endl;
	print_vec(vec2);
	return 0;

}

void print_vec(const vector<int> &v)
{
	for (int i=0; i< v.size(); i++)
		cout << v[i] << "  ";
	cout << endl;
}

// sort the array a in increasing order
void bubble_sort(vector<int> &v)
{
	int i, j, temp;

	for (i=0; i < v.size()-1; i++) {
		for (j = 0;j < v.size() - i - 1; j++) {
			if (v[j] > v[j+1]) {
				temp = v[j+1];
				v[j+1] = v[j];
				v[j] = temp;
			}
		}
	}
}


